
const DIGIT_HEIGHT: u16 = 5;

pub struct Font {
    pub height: u16,
    pub width: u16,
    pub dots: (char, char),
    pub digits: [[&'static str; DIGIT_HEIGHT as usize]; 10],
}

pub const NORMAL: Font = Font {
    height: DIGIT_HEIGHT,
    width: 5,
    dots: ('■', '■'),
    digits: [[
        // 0
        "█▀▀▀█",
        "█   █",
        "█   █",
        "█   █",
        "█▄▄▄█",
        ], [
        // 1
        "  ▀█ ",
        "   █ ",
        "   █ ",
        "   █ ",
        "   █ "
        ], [
        // 2
        "▀▀▀▀█",
        "    █",
        "█▀▀▀▀",
        "█    ",
        "█▄▄▄▄"
        ], [
        // 3
        "▀▀▀▀█",
        "    █",
        " ▀▀▀█",
        "    █",
        "▄▄▄▄█"
        ], [
        // 4
        "█    ",
        "█  █ ",
        "▀▀▀█▀",
        "   █ ",
        "   █ "
        ], [
        // 5
        "█▀▀▀▀",
        "█    ",
        "▀▀▀▀█",
        "    █",
        "▄▄▄▄█"
        ], [
        // 6
        "█    ",
        "█    ",
        "█▀▀▀█",
        "█   █",
        "█▄▄▄█"
        ], [
        // 7
        "▀▀▀▀█",
        "    █",
        "   █ ",
        "  █  ",
        "  █  ",
        ], [
        // 8
        "█▀▀▀█",
        "█   █",
        "█▀▀▀█",
        "█   █",
        "█▄▄▄█"
        ], [
        // 9
        "█▀▀▀█",
        "█   █",
        "▀▀▀▀█",
        "    █",
        "    █"
        ]],
};

pub const PLAIN: Font = Font {
    height: DIGIT_HEIGHT,
    width: 5,
    dots: ('█', '█'),
    digits: [[
        // 0
        "█████",
        "█   █",
        "█   █",
        "█   █",
        "█████"
        ], [
        // 1
        "  ██ ",
        "   █ ",
        "   █ ",
        "   █ ",
        "   █ "
        ], [
        // 2
        "█████",
        "    █",
        "█████",
        "█    ",
        "█████"
        ], [
        // 3
        "█████",
        "    █",
        " ████",
        "    █",
        "█████"
        ], [
        // 4
        "█    ",
        "█  █ ",
        "█████",
        "   █ ",
        "   █ "
        ], [
        // 5
        "█████",
        "█    ",
        "█████",
        "    █",
        "█████"
        ], [
        // 6
        "█    ",
        "█    ",
        "█████",
        "█   █",
        "█████"
        ], [
        // 7
        "█████",
        "    █",
        "   █ ",
        "  █  ",
        "  █  "
        ], [
        // 8
        "█████",
        "█   █",
        "█████",
        "█   █",
        "█████"
        ], [
        // 9
        "█████",
        "█   █",
        "█████",
        "    █",
        "    █"
        ]],
};

pub const CHROME: Font = Font {
    height: DIGIT_HEIGHT,
    width: 5,
    dots: ('▄', '🮏'),
    digits: [[
        // 0
        "█▀▀▀█",
        "█   █",
        "▀   ▀",
        "🮐   🮐",
        "🮐🮏🮏🮏🮐",
        ], [
        // 1
        "  ▀█ ",
        "   █ ",
        "   ▀ ",
        "   🮐 ",
        "   🮐 "
        ], [
        // 2
        "▀▀▀▀█",
        "    █",
        "▀▀▀▀▀",
        "🮐    ",
        "🮐🮏🮏🮏🮏"
        ], [
        // 3
        "▀▀▀▀█",
        "    █",
        " ▀▀▀▀",
        "    🮐",
        "🮏🮏🮏🮏🮐"
        ], [
        // 4
        "█    ",
        "█  █ ",
        "▀▀▀▀▀",
        "   🮐 ",
        "   🮐 "
        ], [
        // 5
        "█▀▀▀▀",
        "█    ",
        "▀▀▀▀▀",
        "    🮐",
        "🮏🮏🮏🮏🮐"
        ], [
        // 6
        "█    ",
        "█    ",
        "▀▀▀▀▀",
        "🮐   🮐",
        "🮐🮏🮏🮏🮐"
        ], [
        // 7
        "▀▀▀▀█",
        "    █",
        "   ▀ ",
        "  🮐  ",
        "  🮐  ",
        ], [
        // 8
        "█▀▀▀█",
        "█   █",
        "▀▀▀▀▀",
        "🮐   🮐",
        "🮐🮏🮏🮏🮐"
        ], [
        // 9
        "█▀▀▀█",
        "█   █",
        "▀▀▀▀▀",
        "    🮐",
        "    🮐"
        ]],
};

